Subject: bug#16052: 24.3.50; `set-frame-parameter` broken for `tool-bar-lines`

From: martin rudalics <[email-masked]>
Date: Sat, 04 Jan 2014 17:39:27 +0100

>> Before using terms like "wrong" in bug reports please consult the
 >> Elisp manual:
 >>
 >>     On each frame, the frame parameter `tool-bar-lines' controls
 >>     how many lines' worth of height to reserve for the tool bar.
 >
 > That does not contradict my expectation.  Is there some nuanced
 > interpretation of "reserved" that I need to guess here, such that
 > perhaps "reserving" that much height does not actually give the
 > tool bar area that much height?

No.  It's the term "lines' worth of height" you should have interpreted
correctly.

 >> What you see is either 0 when `tool-bar-mode' is turned off or 2
 >> which probably comes from the actual toolbar pixel height divided
 >> by the frame's default line height.
 >
 > What it really comes from should be *specified* in the manual.

Patches welcome.  Likely from someone who (1) uses toolbars and (2) on
most relevant platforms.

 > IOW, what is the default number?

One as stated.

 > Otherwise, it is pretty reasonable
 > to assume (as I did) that the default is one.  Whether reasonable or
 > not, users should not need to guess the default behavior for the
 > on state.
 >
 > And see above.  The manual in fact DOES say what the default is,
 > and it is not 2.

2 is not the default.  It's calculated from the font height you or your
system uses.

 > Is the manual wrong here or is the implementation
 > bugged in this regard?

Your bug report is bugged.

 > So if the behavior is as it is intended to be, then the doc is
 > inadequate.  It does not describe the behavior.  And what it does
 > suggest (i.e., by default, setting `tool-bar-lines' would do just
 > what the `tool-bar-lines' doc says: change the number of tool bar
 > lines) is something quite different from the actual behavior.

If you want to submit a patch, please do.  I only asked you to not use
the term "wrong" without consulting the manual first.  I read your
report and the manual and found the manual right and your report wrong.

martin